Developer
    Recharge API
    • Account
    • Verification API
    • Recharge API
    • PAYOUT API
    • Operator Lookup API
    • Mobile Tariff Plans
    • Utility Bill Pay API
    • Gift Card/ Brand Voucher API
    • webhook/callback
    • Recharge Validation API
    • Flight Booking API
    • Bus Booking API
    • Credit Card Bill API
    • CREDIT CARD TO BANK API
    • Virtual Account
    • UPI COLLECTION
    • UPI INTENT LINK
    • Traffic E-Challan
    • Digital Gold API
    • Credit Score | CIBIL Score API
    • operators
      GET
    • payment
      POST

      payment

      POST
      https://api.wepego.com/utility/recharge/payment
      PARAMDefaultMandatory (M) , Optional (O)
      codeOperator code from Operator ListsM
      agent_idUnique Random ID 5-28 Digit from Your SideM
      number10 Digit Mobile NumberM
      amountamount doubleM
      {
        "code": "IDP",
        "number": "9230328725",
        "agent_id": "ZLP0000000394430307KM14",
        "amount": "10"
      }
      

      RESPONSE :#

      PARAMDefault
      statussuccess,failed
      result0=OK and 1 = error
      callback_statusSUCCESS, PENDING, FAILED
      utrOperator Ref ID
      error/msgfailed message or error message

      Request

      Header Params

      Body Params application/json

      Examples

      Responses

      🟢200
      application/json
      Bodyapplication/json

      🟠400
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.wepego.com/utility/recharge/payment' \
      --header 'Token: ZKEYza2COHK0QVkcVkwUb6WeIgWiS' \
      --header 'checkSum: 739f448d1cc4f5bbbd048e68ba2b8885b0f8414ed4090ad967df7d15d7cdbbae' \
      --header 'Content-Type: application/json' \
      --data '{
        "code": "IDP",
        "number": "9230328725",
        "agent_id": "ZLP0000000394430307KM14",
        "amount": "10"
      
      }'
      Response Response Example
      200 - success
      {
          "status": "success",
          "current_time": "10,Dec,2024 12:07:53 AM",
          "amount": "10",
          "msg": "Success",
          "error": "Success",
          "utr": "PBR2412100008210001",
          "tlid": "ZRA17337694735986sKj5kk",
          "biller": "Vi Prepaid",
          "callback_status": "SUCCESS",
          "timestamp": "2024-12-10 12:07:53am",
          "result": 0,
          "agent_id": "ZLP0000000394430307KM11"
      }
      Modified at 2026-08-29 13:16:25
      Previous
      operators
      Built with